"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = void 0;
const origin = Date.now();
let last = origin;
/** @return now */
function log(...args) {
    const now = Date.now();
    const timeline = now - origin;
    const duration = now - last;
    console.log(`%c${(duration + '').padStart(3, '0')} %c${timeline}`, 'color:' + ((duration > 100 && duration < 1000) ? 'red' : 'blue'), 'color:black', ...args);
    last = now;
    return now;
}
exports.log = log;
